aboutsummaryrefslogtreecommitdiff
path: root/lib/msun
diff options
context:
space:
mode:
authorEnji Cooper <ngie@FreeBSD.org>2016-04-14 04:40:31 +0000
committerEnji Cooper <ngie@FreeBSD.org>2016-04-14 04:40:31 +0000
commit47754aa24056aba4a2242c53b2aaf4225f190740 (patch)
tree7dad78c852d393cccb210ed97759ff511c711250 /lib/msun
parentd303752b5067164c3abf580a6c4ea8d0dfdf7a67 (diff)
downloadsrc-47754aa24056aba4a2242c53b2aaf4225f190740.tar.gz
src-47754aa24056aba4a2242c53b2aaf4225f190740.zip
Disable fmaxmin_test when compiling it with clang 3.8.0
The testcase always fails today due to how C11 7.6.1/2 is interpreted with clang 3.8.0 when combined with "#pragma STDC FENV_ACCESS ON". This testcase passes with clang <3.8.0 and gcc, so continue testing it with those compiler combinations More intelligent discussion on the issue is in the PR MFC after: never PR: 208703 Sponsored by: EMC / Isilon Storage Division
Notes
Notes: svn path=/head/; revision=297952
Diffstat (limited to 'lib/msun')
-rw-r--r--lib/msun/tests/Makefile5
1 files changed, 5 insertions, 0 deletions
diff --git a/lib/msun/tests/Makefile b/lib/msun/tests/Makefile
index b18c07d5a115..5dc280bc6651 100644
--- a/lib/msun/tests/Makefile
+++ b/lib/msun/tests/Makefile
@@ -1,5 +1,7 @@
# $FreeBSD$
+.include <bsd.own.mk>
+
TESTSRC= ${SRCTOP}/contrib/netbsd-tests/lib/libm
# All architectures on FreeBSD have fenv.h
@@ -47,7 +49,10 @@ TAP_TESTS_C+= ctrig_test
TAP_TESTS_C+= exponential_test
TAP_TESTS_C+= fenv_test
TAP_TESTS_C+= fma_test
+# clang 3.8.0 fails always fails this test. See: bug 208703
+.if ! (${COMPILER_TYPE} == "clang" && ${COMPILER_VERSION} == 30800)
TAP_TESTS_C+= fmaxmin_test
+.endif
TAP_TESTS_C+= ilogb_test
TAP_TESTS_C+= invtrig_test
TAP_TESTS_C+= invctrig_test